Upstream information

CVE-2015-0282 at MITRE

Description

GnuTLS before 3.1.0 does not verify that the RSA PKCS #1 signature algorithm matches the signature algorithm in the certificate, which allows remote attackers to conduct downgrade attacks via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 919938 [RESOLVED], 921684 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
Patchnames:
sledsp3-gnutls
SUSE Linux Enterprise High Availability Extension 11 SP3
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Patchnames:
slehasp3-gnutls
SUSE Linux Enterprise Server 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.51.1
Patchnames:
slessp3-gnutls
SUSE Linux Enterprise Server 11 SP4
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA gnutls
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.51.1
Patchnames:
slessp3-gnutls
SUSE Linux Enterprise Server for VMWare 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.51.1
Patchnames:
slessp3-gnutls
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Patchnames:
sdksp3-gnutls
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libgnutls-devel
SUSE Manager 1.7
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
Patchnames:
sleman17sp2-gnutls
SUSE Manager 1.7 for SLE 11 SP2
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10535
SUSE Linux Enterprise High Availability Extension 11 SP3
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536
SUSE Linux Enterprise Server 11 SP3
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.55.1
Builds
SAT Patch Nr: 10536


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gnutls Released
SUSE Linux Enterprise Desktop 10 SP4 gnutls Released
SUSE Linux Enterprise Desktop 11 SP1 gnutls Released
SUSE Linux Enterprise Desktop 11 SP2 gnutls Released
SUSE Linux Enterprise Desktop 11 SP3 gnutls Released
SUSE Linux Enterprise Desktop 12 GA gnutls Not affected
SUSE Linux Enterprise High Availability Extension 11 SP1 gnutls Released
SUSE Linux Enterprise High Availability Extension 11 SP3 gnutls Released
SUSE Linux Enterprise SDK 11 SP1 gnutls Released
SUSE Linux Enterprise SDK 11 SP2 gnutls Released
SUSE Linux Enterprise SDK 11 SP3 gnutls Released
SUSE Linux Enterprise SDK 12 GA gnutls Not affected
SUSE Linux Enterprise Server 10 SP3 gnutls Released
SUSE Linux Enterprise Server 10 SP4 gnutls Released
SUSE Linux Enterprise Server 10 SP4 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP1 gnutls Released
SUSE Linux Enterprise Server 11 SP1 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP2 gnutls Released
SUSE Linux Enterprise Server 11 SP2 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP3 gnutls Released
SUSE Linux Enterprise Server 12 GA gnutls Not affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 gnutls Released
SUSE Linux Enterprise Server for VMWare 11 SP2 gnutls Released
SUSE Linux Enterprise Server for VMWare 11 SP3 gnutls Released